begin transaction;
  if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 21))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (21,'ScontrinoRicevuta',0) 
    end
  if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 22))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (22,'PrezzoQuantita',0) 
    end

  if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 57))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (57,'AttibaIncrementoAutomaticoBolla',0) 
   end
    
  if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 58))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (58,'AttibaIncrementoAutomaticoResa',0) 
   end

  if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 60))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (60,'TipoVariazionePrezzoNetto',0) 
   end

  if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 61))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (61,'SoundVendONOFVend',0) 
   end

if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 62))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (62,'SoundBolONOFVend',0) 
    end

if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 63))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (63,'M/E_InvioPosticipato',0) 
    end
    
if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 105))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (105,'TipoTrattamentoCD',0) 
    end

if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 106))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (106,'DataTrattamentoCD','01/01/1999') 
    end

if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 107))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (107,'TabacchiAuto',0) 
    end
    
if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 108))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (108,'TabacchiLogistaFileData','01/01/1999') 
    end
    
if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 109))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (109,'TabacchiFitFileData','01/01/1999') 
    end        

if not  EXISTS (SELECT IDParametro from parametri where	(IDParametro = 71))
    begin
     INSERT INTO Parametri(IDParametro,Descrizione,Valore)  VALUES (71,'AttivaScaricoAggiornamentiStart',1) 
    end
    
commit;